%global eclipse_base        %{_libdir}/eclipse
%global install_loc         %{_datadir}/eclipse/dropins
# Taken from update site so we match upstream
#  download.eclipse.org/mylyn/archive/3.5.0/v20110316-0100
%global qualifier           v20110316-0100

Name: eclipse-mylyn-versions
Summary: Eclipse Mylyn Versions
Version: 3.5.0
Release: 3%{?dist}
License: EPL
URL: http://eclipse.org/mylyn/versions/

# bash fetch-eclipse-mylyn-versions.sh
Source0: eclipse-mylyn-versions-R_3_5_0-fetched-src.tar.bz2
Source1: fetch-eclipse-mylyn-versions.sh

# See Eclipse BZ #343443. Should be fixed in 3.5.1 remove when it's
# out (patch0, patch1)
Patch0: remove-bogus-org.eclipse.mylyn.team.ui-dependency.patch
Patch1: fix-versions-feature-deps.patch

BuildArch: noarch

BuildRequires: java-devel >= 1.5.0
BuildRequires: eclipse-platform >= 1:3.4.0
BuildRequires: eclipse-pde >= 1:3.4.0
BuildRequires: eclipse-egit >= 0.10.1
BuildRequires: eclipse-mylyn-commons >= 3.5.0
Requires:      eclipse-mylyn-commons >= 3.5.0
Group: Development/Tools


%description
Provides a framework for accessing team providers for Eclipse Mylyn.


# eclips-mylyn-versions-git

%package git
Summary: Mylyn Versions Connector: Git
Requires: eclipse-platform >= 1:3.4.0
Requires: eclipse-egit >= 0.10.1
Requires: eclipse-mylyn-versions = %{version}-%{release}
Group: Development/Tools

%description git
Provides Git integration for Eclipse Mylyn.


# eclips-mylyn-versions-cvs

%package cvs
Summary: Mylyn Versions Connector: CVS
Requires: eclipse-platform >= 1:3.4.0
Requires: eclipse-mylyn-versions = %{version}-%{release}
Group: Development/Tools

%description cvs
Provides CVS integration for Eclipse Mylyn.


%prep
%setup -q -n org.eclipse.mylyn.versions
%patch0
%patch1


%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.versions \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -d "mylyn-commons"
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.git \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar \
 -d "egit jgit"
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.mylyn.cvs \
 -a "-DjavacSource=1.5 -DjavacTarget=1.5 -DforceContextQualifier=%{qualifier} -DmylynQualifier=%{qualifier}" \
 -j -DJ2SE-1.5=%{_jvmdir}/java/jre/lib/rt.jar


%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/mylyn-versions
install -d -m 755 %{buildroot}%{install_loc}/mylyn-versions-git
install -d -m 755 %{buildroot}%{install_loc}/mylyn-versions-cvs

unzip -q -o -d %{buildroot}%{install_loc}/mylyn-versions \
 build/rpmBuild/org.eclipse.mylyn.versions.zip
unzip -q -o -d %{buildroot}%{install_loc}/mylyn-versions-git \
 build/rpmBuild/org.eclipse.mylyn.git.zip
unzip -q -o -d %{buildroot}%{install_loc}/mylyn-versions-cvs \
 build/rpmBuild/org.eclipse.mylyn.cvs.zip


# eclips-mylyn-versions

%files
%defattr(-,root,root,-)
%{install_loc}/mylyn-versions
%doc org.eclipse.mylyn.versions-feature/epl-v10.html
%doc org.eclipse.mylyn.versions-feature/license.html


# eclips-mylyn-versions-git

%files git
%defattr(-,root,root,-)
%{install_loc}/mylyn-versions-git
%doc org.eclipse.mylyn.git-feature/epl-v10.html
%doc org.eclipse.mylyn.git-feature/license.html


# eclips-mylyn-versions-cvs

%files cvs
%defattr(-,root,root,-)
%{install_loc}/mylyn-versions-cvs
%doc org.eclipse.mylyn.cvs-feature/epl-v10.html
%doc org.eclipse.mylyn.cvs-feature/license.html


%changelog
* Thu Apr 21 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-3
- Added standard group to main package.
- Added require eclipse-mylyn-versions to sub-packages.

* Wed Apr 20 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-2
- Remove unnecessary dependencies (introduced two patches to
  account for correct dependencies).
- Fixed URL.

* Wed Apr 20 2011 Severin Gehwolf <sgehwolf@redhat.com> 3.5.0-1
- Introduce eclipse-mylyn-versions. Required for Eclipse Mylyn
  3.5.0 update/restructuring.
